:root {
    --main-color: #E20613;
    --main-font-color: #000;
    --white-color: #FFF;
    --border-color: #707070;

    font-family: Montserrat, sans-serif;
    color: var(--main-font-color);
    font-weight: 400;
    line-height: 1;
}

#page {
    display: grid;
    grid-template-areas: "header"
                         "main"
                         "footer";
}


/* Header and menu */
#header {
    grid-area: header;
    display: flex;
    
    background: var(--white-color);
    margin: 35px 140px;

    gap: 10px;

    justify-content: center;
}

#logo-header {
    min-width: max-content;

    cursor: pointer;
}

#menu {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
}

#menu-top {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-grow: 1;
    flex-shrink: 0;
    gap: 4%;
}

.menu-item {
    text-align: center;
    cursor: pointer;
    color: var(--main-font-color);
    text-decoration: none;
}

.menu-item:hover {
    color: var(--main-color);
}

.menu-item:has(img) {
    min-width: max-content;
}

.language-arrow {
    display: inline-block;
    font-size: 18px;
}

.language-div {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    line-height: 2;
}

.language-div > hr {
    width: 90%;
    margin-bottom: 10px;
}

.languages-div {
    display: flex;
    gap: 50px;
}

@media only screen and (max-width: 520px) {
    #header {
        display: none;
    }

    #header-mobile {
        grid-area: header;
        display: flex;
        
        background: var(--white-color);
        margin-inline: 36px;
        margin-block: 25px;
    
        gap: 10px;
    
        justify-content: space-between;
    }

    .sandwich-container {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        cursor: pointer;
    }

    .sandwich-bar1, .sandwich-bar2, .sandwich-bar3 {
        width: 58px;
        height: 3px;
        background-color: #000;
    }

    #menu-items-mobile {
        grid-area: main;
        padding-inline: 36px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 60px;

    }

    .menu-item-mobile {
        cursor: pointer;
        color: var(--main-font-color);
        text-decoration: none;
    }
    
    .menu-item-mobile:hover {
        color: var(--main-color);
    }
    
    .menu-item-mobile:has(img) {
        min-width: max-content;
    }

    .languages-div {
        flex-direction: column;
        justify-content: center;
    }
}

@media only screen and (min-width: 521px) {
    #header {
        display: flex;
    }

    #header-mobile {
        display: none;
    }
}


/* Footer */
#footer {
    grid-area: footer;

    background: var(--white-color);
    margin: 83px 140px 105px 140px;
}

#logo-footer {
    display: flex;
    align-items: center;

    cursor: pointer;
    margin-bottom: 36px;
}

#footer-columns {
    display: flex;
    flex-wrap: wrap;
    margin-top: 49px;
    gap: 10px;
}

.footer-column {
    flex: 1;
    min-width: max-content;
    margin-bottom: 45px;
}

#sm-icons {
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

#footer-logo-address {
    display: flex;
    gap: 31px;
    margin-bottom: 37px;
}

#footer-intercad-logo {
    min-width: max-content;
}

#footer-address {
    line-height: 19px;
}

#footer-other-contacts {
    display: grid;
    grid-template-columns: max-content auto;
    gap: 0 25px;

    line-height: 28px;
}

.footer-button {
    margin-bottom: 20px;
}


/* Main content */
#main {
    /* display: grid;
    place-items: center; */

    grid-area: main;

    padding: 82px 140px;
    background: transparent url('../img/myaxisvm_hatter_v3.jpg') 0% 0% repeat padding-box;
    background-size: cover;
}

#main-without-bg {
    grid-area: main;
    padding: 82px 140px;
}

#greeting {
    color: var(--white-color);
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 35px;
}

#content {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
    justify-content: center;
}

#content-404 {
    display: grid;
    justify-content: center;
}

.content-container-form {
    height: min-content;

    background-color: var(--white-color);
    padding: 101px 138px 109px 138px;
}

.content-column {
    flex: 1;
    display: grid;
    gap: 15px;
    max-width: 1000px;
    min-width: min-content;
    height: min-content;
}

.content-column-center {
    max-width: max-content;
}

.content-container {
    height: min-content;

    background-color: var(--white-color);
    padding: 55px 50px 40px 55px;
}

.content-container-center {
    width: 676px;
}

.content-container-bottom-padding {
    height: min-content;

    background-color: var(--white-color);
    padding: 55px 50px 90px 55px;
}

.logo-on-top {
    margin-bottom: 35px;
}

.logo-in-content {
    margin-block: 35px;
}

.button-container-right {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    margin-top: 44px;
    gap: 25px;
}

.button-container-grid {
    display: grid;
    grid-template-columns: min-content;
    grid-template-rows: min-content;
    grid-template-areas: "button-top-left button-top-right"
                         "button-bottom-left button-bottom-right";
    margin-top: 20px;
    gap: 15px;
}

.button-small-container {
    padding-top: 10px;
}

.button,
.button-small {
    display: grid;
    place-items: center;

    border: 1px solid var(--border-color);
    color: var(--main-font-color);
    background-color: var(--white-color);
    text-decoration: none;
    
    cursor: pointer;
}

.button {
    width: 243px;
    height: 45px;
    font-size: 16px;
}

.button-small {
    width: 105px;
    height: 30px;
    font-size: 9px;
}

.button:hover,
.button-small:hover {
    color: var(--white-color);
    background-color: var(--main-color);
}


.button-top-left {
    grid-area: button-top-left;
}
.button-top-right {
    grid-area: button-top-right;
}
.button-bottom-left {
    grid-area: button-bottom-left;
}
.button-bottom-right {
    grid-area: button-bottom-right;
}

p {
    font-size: 18px;
}

ul {
    font-size: 18px;
    margin-top: 15px;
}

h1 {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 40px;
}

h2 {
    font-size: 35px;
    line-height: 43px;
    font-weight: 600;
    margin-bottom: 30px;
}

h3 {
    font-size: 18px;
    font-weight: 600;
}


h4 {
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 18px;
}

h5 {
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 20px;
    margin-top: 44px;
}

h6 {
    color: var(--main-color);
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 35px;
}

h6.in-content {
    margin-top: 35px;
}

.arrow-down-container {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.arrow-down {
    font-size: 18px;
    width: min-content;
    cursor: pointer;
}

hr {
    background-color: var(--border-color);
    height: 1px;
    border: 0;
    width: 100%;
}

.computer-container {
    display: grid;
    grid-template-columns: 145px auto;
    grid-template-rows: min-content;
    grid-template-areas: "computer-label-1 computer-info-1"
                         "computer-label-2 computer-info-2"
                         "computer-label-3 computer-info-3";
    margin-top: 14px;
    gap: 20px 10px;
}

.computer-label-1 {
    grid-area: computer-label-1;
    justify-self: end;
}

.computer-info-1 {
    grid-area: computer-info-1;
}

.computer-label-2 {
    grid-area: computer-label-2;
    justify-self: end;
}

.computer-info-2 {
    grid-area: computer-info-2;
}

.computer-label-3 {
    grid-area: computer-label-3;
    justify-self: end;
}

.computer-info-3 {
    grid-area: computer-info-3;
}

#student-div,
#trial-div,
#light-div,
#viewer-div {
    display: none;
}

.data-change {
    display: grid;
    grid-template-areas: "data-change-label"
                         "data-change-value"
                         "data-change-button-container";
    margin-bottom: 20px;
    gap: 4px;
}

.data-change-label {
    grid-area: data-change-label;
}

.data-change-value {
    grid-area: data-change-value;
}

.data-change-value > input,
.data-change-value > select {
    margin-top: 0px;
}

.data-change-button-container {
    grid-area: data-change-button-container;
}

.input-container {
    margin-bottom: 36px;
}

input,
select {
    border: 1px solid var(--border-color);
    width: 400px;
    height: 45px;
    margin-top: 13px;
    padding-inline: 15px;
    font-size: 16px;
}

input[type=checkbox] {
    width: 20px;
    height: 20px;
    accent-color: var(--main-font-color);
    margin-top: 0px;
}

.checkbox-container {
    display: grid;
    grid-template-columns: 20px 1fr;
}

.checkbox-container > label {
    margin-left: 16px;
}

#request-steps {
    display: grid;
    grid-template-columns: 1fr 4.5fr;
    gap: 30px;
}

.request-step-number {
    font-size: 30px;
    font-weight: 600;
    justify-self: end;
}

.request-step-description {
    padding-top: 15px;
}

#forgotpass {
    font-size: 16px;
    margin-top: 32px;
}

#forgotpass > a {
    color: var(--main-font-color);
}

dialog {
    margin: auto;
    border: 0;
    border-bottom: 11px solid var(--main-color);
    padding-inline: 52px;
    padding-block: 62px;
    max-width: 812px;
}

dialog::backdrop {
    background-color: #000;
    opacity: 0.7;
}

input[type="file"] {
    display:none;
}

.upload-button {
    display: inline-block;
}

.upload-container {
    display: grid;
    grid-template-columns: 58px 1fr;
    align-items: start;
    gap: 25px;
}

.upload-title {
    font-weight: 600;
}

.upload-details {
    font-weight: 400;
    display: block;
}

.red-star {
    color: var(--main-color);
}

.error-message {
    color: var(--main-color);
    display: block;
    margin-bottom: 30px;
    font-weight: 500;
    font-size: 18px;
}

.deny-message {
    margin-bottom: 5px;
}

.title-404 {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 15px;
}

.title-404-red {
    color: var(--main-color);
    margin-bottom: 0px;
}



.cookies-eu-banner {
    background: #444;
    color: #fff;
    padding: 6px;
    font-size: 13px;
    text-align: center;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 10;
  }
  
  .cookies-eu-banner button {
    text-decoration: none;
    background: #222;
    color: #fff;
    border: 1px solid #000;
    cursor: pointer;
    padding: 4px 7px;
    margin: 2px 0;
    font-size: 13px;
    font-weight: 700;
    transition: background 0.07s, color 0.07s, border-color 0.07s;
  }
  
  .cookies-eu-banner button:hover {
    background: #fff;
    color: #222;
  }
  
  .hidden {
    display: none !important;
  }

  #limit {
      font-size: 12px;
  }

@media only screen and (max-width: 520px) {

    #page {
        width: 100%;
    }

    #header {
        margin-inline: 36px;
    }

    #footer {
        margin-inline: 36px;
        margin-top: 0px;
    }

    #logo-footer {
        margin-top: 36px;
    }

    #main {
        padding-inline: 36px;
        padding-block: 40px;
    }
    
    #main-without-bg {
        padding-inline: 36px;
    }

    .content-column-center {
        max-width: 100%;
    }
    
    .content-container-center {
        width: 100%;
    }

    .content-container-form {
        padding-inline: 25px;
        padding-top: 36px;
        padding-bottom: 67px;
    }

    input,
    select {
        max-width: 400px;
    }
}